Subject: Re: [bug#67824] [PATCH core-updates 0/6] Run builds in C.UTF-8 locale

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Sat, 16 Dec 2023 09:49:38 +0100

Ludovic Courtès writes:

Hi,

> This is the logical followup to <https://issues.guix.gnu.org/67686>:
> running builds in the C.UTF-8 locale (instead of en_US.UTF-8) and
> removing ‘glibc-utf8-locales’ from the set of implicit inputs.
>
> Tested on x86_64-linux with:
>
>   guix build texinfo nss-certs
>   make check TESTS=tests/profiles.scm
>
> I’d like to merge it soon so we can move forward.
>
> Let me know what you think!

I like the idea but I cannot build it, i.e., building gcc-mesboot1 hangs
for me in the gmp configure:

--8<---------------cut here---------------start------------->8---
./pre-inst-env guix build '(@@ (gnu packages commencement) gcc-mesboot1)'
[..]
(Configuring in host-i686-unknown-linux-gnu/gmp)
checking whether sscanf needs writable input... no
checking for struct pst_processor.psp_iticksperclktick... no
<hang>
--8<---------------cut here---------------end--------------->8---

I've tried at least 6 times.  Gash running configure just hangs.

On a related note, I found that running

--8<---------------cut here---------------start------------->8---
./pre-inst-env guix shell --bootstrap --no-grafts  -e '(@@ (gnu packages commencement) gcc-mesboot1)'
--8<---------------cut here---------------end--------------->8---

wants to build gcc-mesboot1 when attempting to easily create a shell in
which to run and debug the hanging configure command.

I guess someone needs to patch gcc-mesboot1 and dive into it.

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com